# Created by pyp2rpm-3.3.2
%global pypi_name xdis

Name:           python-%{pypi_name}
Version:        6.0.3
Release:        %mkrel 4
Summary:        Python cross-version byte-code disassembler and marshal routines
Group:          Development/Python
License:        GPLv2
URL:            https://pypi.org/project/xdis/
Source0:        %{pypi_source}
Patch1:		0001-Recognize-Python-3.8.7.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six) >= 1.10.0

%description
A Cross-Python bytecode isassembler, bytecode/workcode and magic-number
manipulation library/package.

The Python dis module allows you to disassemble bytecode from the same version
of Python that you are running on. But what about bytecode from different
versions?

That's what this package is for. It can "marshal load" Python bytecodes from
different versions of Python. The command-line routine pydisasm will show
disassembly output using Python 3.8 disassembly conventions.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
A Cross-Python bytecode isassembler, bytecode/workcode and magic-number
manipulation library/package.

The Python dis module allows you to disassemble bytecode from the same version
of Python that you are running on. But what about bytecode from different
versions?

That's what this package is for. It can "marshal load" Python bytecodes from
different versions of Python. The command-line routine pydisasm will show
disassembly output using Python 3.8 disassembly conventions.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
# test failure:
# ERROR: file or directory not found: pytest
#PYTHONPATH=$(pwd) make check PYTHON=%{python3}

%files -n python3-%{pypi_name}
%doc README.rst
%{_bindir}/pydisasm
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Dec 19 2023 papoteur <papoteur> 6.0.3-4.mga10
+ Revision: 2019162
- Mass Rebuild - Python 3.12

* Sat Mar 26 2022 umeabot <umeabot> 6.0.3-3.mga9
+ Revision: 1828631
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 tv <tv> 6.0.3-2.mga9
+ Revision: 1784005
- Rebuild for python-3.10

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 6.0.3-1.mga9
+ Revision: 1779506
- version 6.0.3
- rediff Patch1
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 5.0.6-3.mga9
+ Revision: 1732741
- Rebuild for python 3.9

* Sat Dec 26 2020 wally <wally> 5.0.6-2.mga8
+ Revision: 1663992
- add patch for python 3.8.7

* Sat Dec 26 2020 wally <wally> 5.0.6-1.mga8
+ Revision: 1663987
- new version 5.0.6

* Sun Dec 13 2020 guillomovitch <guillomovitch> 5.0.5-1.mga8
+ Revision: 1656448
- new version 5.0.5
- disable tests

* Thu Apr 16 2020 danf <danf> 4.2.4-1.mga8
+ Revision: 1567707
- Updated to ver. 4.2.4
- this brings support for Python 3.8.2
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Nov 23 2019 wally <wally> 4.1.3-1.mga8
+ Revision: 1462415
- imported package python-xdis

